<template>
  <div id="app" v-if="loaded">
    <div class="nav" v-if="$api.isAuth()">
        <div class="nav-container">
            <div class="nav-links">
                <router-link class="item" :to="{ name: 'Main' }">
                    <span>Моя страница</span>
                </router-link>
                <router-link class="item" :to="{ name: 'Friends' }">
                    <span>Друзья</span>
                </router-link>
            </div>

            <div class="nav-links">
                <div class="item user">
                    <div class="user-photo" :style="photoStyle"></div>
                    <span class="user-name">{{ $store.state.user.profile.fullname }}</span>
                </div>
                <a href="#" class="item" @click.prevent="logout">
                    <span>Выход</span>
                </a>
            </div>
        </div>
    </div>

    <div class="container">
      <router-view :key="$route.fullPath" />
    </div>
  </div>
</template>

<script>
export default {
    data() {
        return {
            loaded: false
        }
    },
    computed: {
        photoStyle() {
            return `background-image: url(${this.$api.completeUrl(this.$store.state.user.profile.photo.url)});`
        }
    },
    async created() {
        if (this.$api.isAuth()) {
            await this.$store.dispatch('fetchCurrentUser')
        }
        this.loaded = true
    },
    methods: {
        logout() {
            this.$api.logout()
            this.$router.push({ name: 'Login' })
        }
    }
}
</script>

<style>
   :root {
        --nav-color: #333;
        --nav-item-color: white;
        --nav-item-color-hov: #ddd;
        --main-bg-color: white;
        --font-color: #333;
    }
    body {
        background-color: var(--main-bg-color);
        width: 100%;
        margin: 0;
        padding: 0;
        font-family: sans-serif;
        color: var(--font-color);
    }
    .nav {
        background-color: var(--nav-color);
        height: 50px;
        width: 100%;
        position: fixed;
        top: 0;
    }
    .nav-container {
        display: flex;
        width: 1000px;
        margin: auto;
        justify-content: space-between;
        height: 100%;
    }
    .nav-links {
        display: flex;
        height: 100%;
    }
    .nav-links .item {
        display: block;
        height: 100%;
        color: var(--nav-item-color);
        text-decoration: none;
    }
    .nav-links .item span {
        padding: 15px;
        display: block;
    }
    .nav a.item:visited {
        color: var(--nav-item-color);
    }
    .nav a.item:hover {
        color: var(--nav-item-color-hov);
    }
    .nav .item.user {
        display: flex;
        flex-direction: row;
    }
    .user-photo {
        margin-top: 10px;
        width: 30px;
        height: 30px;
        overflow: hidden;
        background-position: center;
        background-size: cover;
        border-radius: 50%;
    }
    .container {
        width: 1000px;
        margin: auto;
        margin-top: 60px;
    }
    .container a {
        text-decoration: none;
    }

</style>
